OracleMetadata (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.OracleMetadata interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface OracleMetadata

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface OracleMetadata

extends ModelObject

Metadata object discovery for discover agent

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  ORAMETA
Display Name:
  name

Method Summary
`int` | `getMode()`
`java.lang.String` | `getName()`
`OracleSchemaProps[]` | `getSchemaObjects()`
`boolean` | `hasMode()`
`boolean` | `hasName()`
`boolean` | `hasSchemaObjects()`
`void` | `setMode(int mode)`
`void` | `setName(java.lang.String name)`
`void` | `setSchemaObjects(OracleSchemaProps[] schemaObjects)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getMode

    int getMode()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMode

    void setMode(int mode)

### hasMode

    boolean hasMode()

### getSchemaObjects

    OracleSchemaProps[] getSchemaObjects()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSchemaObjects

    void setSchemaObjects(OracleSchemaProps[] schemaObjects)

### hasSchemaObjects

    boolean hasSchemaObjects()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD